Bug 184308 - CVE-2006-0746 kpdf buffer overflow
Summary: CVE-2006-0746 kpdf buffer overflow
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kdegraphics   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard: impact=important,public=20060103,repo...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-07 22:27 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-10 15:35:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2006-03-07 22:27:34 UTC
+++ This bug was initially created as a clone of Bug #184307 +++

The initial fix for CVE-2005-3627 was incomplete in kdegraphics.

The complete patch is attachment 125771 [details]
The reproducer is attachment 125772 [details]

Here is Chris Evans' original advisory, it has links to various other bad pdf files:
http://scary.beasts.org/security/CESA-2005-003.txt

Comment 1 Ngo Than 2006-03-10 15:35:12 UTC
there's kde-3.5.1 in FC4-update. It's not effected in this new kde version

http://www.kde.org/info/security/advisory-20060202-1.txt


Note You need to log in before you can comment on or make changes to this bug.